<?php
/**
 * Single view template.
 *
 * 🚫🚫🚫
 * DO NOT EDIT THIS FILE WHILE INSIDE THE PLUGIN! Changes You make will be lost when a new version
 * of the AMP plugin is released. You need to copy this file out of the plugin and put it into your
 * custom theme, for example. To learn about how to customize these Reader-mode AMP templates, please
 * see: https://amp-wp.org/documentation/how-the-plugin-works/classic-templates/
 * 🚫🚫🚫
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */

$this->load_parts( [ 'html-start' ] );

?>

<?php $this->load_parts( [ 'header' ] ); ?>

<article class="amp-wp-article">
	<header class="amp-wp-article-header">
		<h1 class="amp-wp-title"><?php echo $this->get( 'post_title' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></h1>
		<?php
		/**
		 * Filters the template parts loaded in the header area of the AMP legacy post template.
		 *
		 * @since 0.4
		 * @param string[] Templates to load.
		 */
		$this->load_parts( apply_filters( 'amp_post_article_header_meta', [ 'meta-author', 'meta-time' ] ) );
		?>
	</header>

	<?php mura_get_excerpt( ); ?>

	<?php $this->load_parts( [ 'featured-image' ] ); ?>

	<div class="amp-wp-article-content">
		<?php echo $this->get( 'post_amp_content' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
	</div>

	<footer class="amp-wp-article-footer">
		<?php
		/**
		 * Filters the template parts to load in the footer area of the AMP legacy post template.
		 *
		 * @since 0.4
		 * @param string[] Templates to load.
		 */
		$this->load_parts( apply_filters( 'amp_post_article_footer_meta', [ 'meta-taxonomy', 'meta-comments-link' ] ) );
		?>
	</footer>
</article>

<amp-sidebar id="sidebar-left" class="toggle-sidebar" layout="nodisplay" side="left">
	<div class="toggle-sidebar-header">
		<?php 

		// Check if we have anything to display here
		if ( get_theme_mod( 'mura_sidebar_logo', false ) ) :

			mura_site_logo( array( 'sidebar' => true ) );

		endif;  ?>
          <div on="tap:sidebar-left.close" class="amp-close-sidebar"><span class="close">Close</span></div>
      </div>
          <?php

          if ( has_nav_menu( 'slide-menu-primary' ) ) {

            echo '<nav class="primary-nav-sidebar-wrapper">';

            wp_nav_menu( array( 'theme_location' => 'slide-menu-primary',
                                'depth' => 1,
                                 'container' => 'ul',
                                 'menu_class' => 'primary-nav-sidebar',
                                 'menu_id' => 'slidemenu-nav-sidebar'));

            echo '</nav>';

        } elseif ( has_nav_menu( 'primary' ) ) {

            echo '<nav class="primary-nav-sidebar-wrapper">';

            wp_nav_menu( array( 'theme_location' => 'primary',
                                'depth' => 1,
                                 'container' => 'ul',
                                 'menu_class' => 'primary-nav-sidebar',
                                 'menu_id' => 'primary-nav-sidebar'));

            echo '</nav>';

        }

        ?>
        </amp-sidebar>

        <amp-sidebar id="sidebar-right" class="toggle-sidebar search-sidebar" layout="nodisplay" side="right">
        	<div class="toggle-sidebar-header">
	          <div on="tap:sidebar-right.close" class="amp-close-sidebar"><span class="close">Close</span></div>
	      </div>
          <?php get_search_form( ); ?>
        </amp-sidebar>

<?php $this->load_parts( [ 'footer' ] ); ?>

<?php
$this->load_parts( [ 'html-end' ] );
